package org.xyzh.bidding;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.bidding",         // 当前bidding模块
    "org.xyzh.common"          // 公共模块
})
public class BiddingApp {
    private static final Logger logger = LoggerFactory.getLogger(BiddingApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== BiddingApp 启动中 =========================");
        SpringApplication.run(BiddingApp.class, args);
        logger.info("======================== BiddingApp 启动成功 =========================");
    }
}